CVE-2001-1196
CVSS10.0
发布时间 :2001-12-17 00:00:00
修订时间 :2016-10-17 22:14:11
NMCOES    

[原文]Directory traversal vulnerability in edit_action.cgi of Webmin Directory 0.91 allows attackers to gain privileges via a '..' (dot dot) in the argument.


[CNNVD]Webmin edit_action.cgi脚本目录遍历漏洞(CNNVD-200112-107)

        
        Webmin是一款基于Web的UNIX系统管理接口,使用任何支持表格和窗体的浏览器,你都可以建立帐号,管理Apache,DNS和文件共享,如果正确配置的话,Webmin可以支持大多数UNIX操作系统。
        该软件存在一个安全问题,允许远程攻击者目录遍历整个文件系统。
        这是由于'edit_action.cgi'没有过滤用户提交的"../"导致的,由于Webmin以root权限运行,因此远程攻击者可能以root权限读取任意文件。
        攻击者也可能进一步获取root权限。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1196
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1196
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200112-107
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=webmin-l&m=100865390306103&w=2
(UNKNOWN)  BUGTRAQ  20011218 Re: webmin 0.91 ../.. problem
http://www.iss.net/security_center/static/7711.php
(VENDOR_ADVISORY)  XF  webmin-dot-directory-traversal(7711)
http://www.securityfocus.com/archive/1/245980
(VENDOR_ADVISORY)  BUGTRAQ  20011217 webmin 0.91 ../.. problem
http://www.securityfocus.com/bid/3698
(VENDOR_ADVISORY)  BID  3698

- 漏洞信息

Webmin edit_action.cgi脚本目录遍历漏洞
危急 输入验证
2001-12-17 00:00:00 2005-10-20 00:00:00
远程  
        
        Webmin是一款基于Web的UNIX系统管理接口,使用任何支持表格和窗体的浏览器,你都可以建立帐号,管理Apache,DNS和文件共享,如果正确配置的话,Webmin可以支持大多数UNIX操作系统。
        该软件存在一个安全问题,允许远程攻击者目录遍历整个文件系统。
        这是由于'edit_action.cgi'没有过滤用户提交的"../"导致的,由于Webmin以root权限运行,因此远程攻击者可能以root权限读取任意文件。
        攻击者也可能进一步获取root权限。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 手工修改"init/edit_action.cgi",在适当位置增加如下代码:
         if ($file =~ /\./) {
         die("Attack Detected!\n");
         }
        厂商补丁:
        Webmin
        ------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.webmin.com/webmin/

- 漏洞信息 (21183)

Webmin 0.91 Directory Traversal Vulnerability (EDBID:21183)
cgi remote
2001-12-17 Verified
0 A. Ramos
N/A [点击下载]
source: http://www.securityfocus.com/bid/3698/info

Webmin is a web-based interface for system administration for Unix. Using any browser that supports tables and forms, you can setup user accounts, Apache, DNS, file sharing and so on. Webmin will run on most Unix variants, providing it has been properly configured.

Webmin does not adequately filter '../' sequences from web requests, making it prone to directory traversal attacks. Furthermore, since Webmin is a facility for remote web-based administration of Unix systems, it requires root privileges. This vulnerability could be exploited to effectively disclose any file on a host running the affected software.

It may also be possible to edit files or place files on the server. This may lead to a remote root compromise.

http://www.domain.com:10000/servers/link.cgi/1008341480/init/edit_action.cgi?0+../../../../../etc/shadow 		

- 漏洞信息

8959
Webmin Directory edit_action.cgi ../ Sequence Parsing Traversal Arbitrary File Access
Remote / Network Access Input Manipulation
Loss of Confidentiality Solution Unknown
Exploit Public Third-party Verified, Uncoordinated Disclosure

- 漏洞描述

- 时间线

2001-12-17 Unknow
2001-12-17 Unknow

- 解决方案

OSVDB is not aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Webmin Directory Traversal Vulnerability
Input Validation Error 3698
Yes No
2001-12-17 12:00:00 2009-07-11 09:06:00
This vulnerability was submitted in a December 17th, 2001 BugTraq posting by A. Ramos <aramos@aramos-test.prisacom.int>.

- 受影响的程序版本

Webmin Webmin 0.91

- 漏洞讨论

Webmin is a web-based interface for system administration for Unix. Using any browser that supports tables and forms, you can setup user accounts, Apache, DNS, file sharing and so on. Webmin will run on most Unix variants, providing it has been properly configured.

Webmin does not adequately filter '../' sequences from web requests, making it prone to directory traversal attacks. Furthermore, since Webmin is a facility for remote web-based administration of Unix systems, it requires root privileges. This vulnerability could be exploited to effectively disclose any file on a host running the affected software.

It may also be possible to edit files or place files on the server. This may lead to a remote root compromise.

- 漏洞利用

The following example was submitted by A. Ramos &lt;aramos@prisacom.com&gt;:

http://www.domain.com:10000/servers/link.cgi/1008341480/init/edit_action.cgi?0+../../../../../etc/shadow

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站